// Copyright 2018 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

syntax = "proto3";

import "google/api/resource.proto";

package google.testgapic;

option java_package = "com.google.testgapic.v1beta1";
option java_multiple_files = true;
option java_outer_classname = "BadMessageResnameDefProto";

message BarFoo {
  option (google.api.resource) = {
    type: "testgapic.googleapis.com/BarFoo"
    pattern: "barFoos/{bar_foo}"
    pattern: "fooBars/{foo_bar}/barFoos/{bar_foo}"
    pattern: "*"
  };

  string display_name = 1;
}

// A proto with a resource definition, but missing a field titled "name" or
// containing a resource reference.
message Pencil {
  option (google.api.resource) = {
    type: "testgapic.googleapis.com/Pencil"
    pattern: "pencils/{pencil}"
  };

  string owner = 1;
}
